<?php
require'fun.php';
if($go=='descarcari')
{
$melodia_zilei=$conn->query('SELECT COUNT(*)FROM`melodia_zilei`WHERE`id1`="'.$pid.'"||`id2`="'.$pid.'"||`id4`="'.$pid.'"||`id5`="'.$pid.'"')->fetch_row();
if($conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]<$lei['descarcari']&&$melodia_zilei[0]==0)
{
$titlu='Eroare';
$back[1]='<a href="/descarcari">'.img('download.gif',1).'Descărcări</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți descarca fișiere de la descarcari, pentru ca nu ai lei suficienți în cont!<br />Descărcarea unui fișier costă <strong>'.$lei['descarcari'].'</strong> lei!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>'.$div[0];
require'f_jos.php';
}
else
{
if($melodia_zilei[0]==0)
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$lei['descarcari'].' WHERE`id`="'.$de.'"');
$conn->query('UPDATE`descarcari_fisiere`SET`descarcari`=descarcari+1 WHERE`id`="'.$pid.'"');
$file=$conn->query('SELECT`link`,`vizibil`FROM`descarcari_fisiere`WHERE`id`="'.$pid.'"')->fetch_row();
if(mb_substr_count($file[0],'dropbox')>0)
$file[0].='?dl=1';
if($file[0]=='')
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest fișier nu a fost găsit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
elseif($file[1]>1)
header('Location: '.$adresasite[0].'/forum/topic/'.$file[1].'-');
else
header('Location: '.$file[0]);
}
}
elseif($go=='album-descarcari')
{
$numar_fisiere=$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`vizibil`>"0"&&`fid`="'.$fid.'"')->fetch_row()[0];
if($conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]<($lei['descarcari']*$numar_fisiere))
{
$titlu='Eroare';
$back[1]='<a href="/descarcari">'.img('download.gif',1).'Descărcări</a>';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți descarca acest fișier de la descarcari, pentru ca nu ai lei suficienți în cont!<br />Descărcarea acestui fișier costă <strong>'.($lei['descarcari']*$numar_fisiere).'</strong> lei!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>'.$div[0];
require'f_jos.php';
}
else
{
$conn->query('UPDATE`membrii`SET`lei`=lei-'.($lei['descarcari']*$numar_fisiere).' WHERE`id`="'.$de.'"');
$file=$conn->query('SELECT`link`FROM`descarcari_albume`WHERE`id`="'.$fid.'"')->fetch_row()[0];
if(mb_substr_count($file,'dropbox')>0)
$file.='?dl=1';
if($file=='')
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest fișier nu a fost găsit!<br />Probabil a fost șters!'.$div[0];
require'f_jos.php';
}
else
header('Location: '.$file);
}
}
elseif($go=='parteneri')
{
$conn->query('UPDATE`parteneri`SET`descarcari`=descarcari+1 WHERE`id`="'.$pid.'"');
$file=$conn->query('SELECT`link`FROM`parteneri`WHERE`id`="'.$pid.'"')->fetch_row()[0];
if($file=='')
{
http_response_code(410);
$titlu='Eroare!';
require'f_sus.php';
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest site nu a fost găsit!<br />Probabil a fost șters din lista de parteneri!'.$div[0];
require'f_jos.php';
}
else
header('Location: '.$file);
}
header('Cache-Control: no-store,no-cache,must-revalidate,max-age=0,post-check=0,pre-check=0');
header('Expires: -1');
require'f_fun.php';